<?php
if(!defined("ABSPATH"))
	die(); // No direct access plx

global $wpdb;

$imwb_db_post_ad_table_name = $wpdb->prefix."imwb_cgt_post_ad";
$imwb_db_post_ad_var_table_name = $wpdb->prefix."imwb_cgt_post_ad_var";

$updateMessage = '';

// Function to get a list of the Blogs Pages and return a UL list of them
function get_blog_pages($parentId = 0, $selected=array()) {
   $retStr = '';

   if(!is_array($selected))
      $selected = array();

   $pages = get_pages('parent='.$parentId.'&child_of='.$parentId);
   if(count($pages) > 0){
      $retStr .= "<ul class='tree_leaf'>";
      foreach($pages as $page){
         $sel = false;
      	if(in_array($page->ID,$selected))
      			$sel = true;
        $retStr.= '<li><input type="checkbox" name="imwbCovertGTPAd_Show[pageid][]" value="'.$page->ID.'" id="pageid_'.$page->ID.'"'.(($sel)?' checked="checked"':'').' /> <label for="pageid_'.$page->ID.'">'.esc_html($page->post_title).'</label>'.get_blog_pages($page->ID, $selected).'</li>';
      }
       $retStr .= "</ul>";
   }

   return $retStr;
}

// Function to get a list of the Blogs Categories and return a UL list of them
function get_blog_categories($parentId = 0, $selected=array()) {
   $retStr = '';

if(!is_array($selected))
   $selected = array();

	$cats = get_categories('child_of='.$parentId.'&parent='.$parentId);
   if(count($cats) > 0){
      $retStr .= "<ul class='tree_leaf'>";
      foreach($cats as $cat){
        $sel = false;
        if(in_array($cat->cat_ID,$selected))
        		$sel = true;
        $retStr.= '<li><input type="checkbox" name="imwbCovertGTPAd_Show[catid][]" value="'.$cat->cat_ID
        .'" id="pageid_'.$cat->cat_ID
        .'"'.(($sel)?' checked="checked"':'').' /> <label for="pageid_'.$cat->cat_ID
        .'">'.esc_html($cat->cat_name).'</label>'.get_blog_categories($cat->cat_ID, $selected).'</li>';
      }
       $retStr .= "</ul>";
   }

   return $retStr;
}


if(isset($_REQUEST['create_imwb_covertgeotargeterPostAd']) && $_REQUEST['create_imwb_covertgeotargeterPostAd'] == "Create") {

   $whereShown = serialize($_REQUEST['imwbCovertGTPAd_Show']);
   if(isset($_REQUEST['imwbCovertGTPAd_insertType']))
      $insertType = $_REQUEST['imwbCovertGTPAd_insertType'];
   else
      $insertType = 'S';

   $wpdb->query( "INSERT INTO {$imwb_db_post_ad_table_name} (pad_id, name, insert_type, align, pos, margin, where_shown) VALUES(NULL, '".$wpdb->_real_escape(stripslashes($_REQUEST['imwbCovertGTPAd_name']))."', '{$insertType}', '{$_REQUEST['imwbCovertGTPAd_align']}', '{$_REQUEST['imwbCovertGTPAd_position']}', '{$_REQUEST['imwbCovertGTPAd_margin']}', '{$whereShown}' )");

   $_REQUEST['edit'] = "1";
   $_REQUEST['pad_id'] = $wpdb->insert_id;

}
else if(isset($_REQUEST['create_imwb_covertgeotargeterPostAd']) && $_REQUEST['create_imwb_covertgeotargeterPostAd'] == "Update") {

   $whereShown = serialize($_REQUEST['imwbCovertGTPAd_Show']);
   if(isset($_REQUEST['imwbCovertGTPAd_insertType']))
      $insertType = $_REQUEST['imwbCovertGTPAd_insertType'];
   else
      $insertType = 'S';

   $wpdb->query( "UPDATE {$imwb_db_post_ad_table_name} SET name = '".$wpdb->_real_escape(stripslashes($_REQUEST['imwbCovertGTPAd_name']))."', insert_type = '{$insertType}', align = '{$_REQUEST['imwbCovertGTPAd_align']}', pos = '{$_REQUEST['imwbCovertGTPAd_position']}', margin = '{$_REQUEST['imwbCovertGTPAd_margin']}', where_shown = '{$whereShown}' WHERE pad_id = {$_REQUEST['pad_id']}");

    $_REQUEST['edit'] = "1";
}
else if(isset($_REQUEST['update_imwb_covertgeotargeteradvar'])) {

   $selCountries = array_unique($_REQUEST['imwbCovertGTWAdVar_SelCtry']);

   $width = trim($_REQUEST['imwbCovertGTPAdVar_Width']);
   $width = is_numeric($width) ? $width : 0;
   $height= trim($_REQUEST['imwbCovertGTPAdVar_Height']);
   $height = is_numeric($height) ? $height : 0;

   if($_REQUEST['update_imwb_covertgeotargeteradvar'] == 'Create') {
      $wpdb->query( "INSERT INTO {$imwb_db_post_ad_var_table_name} (pav_id, pad_id, width, height, countries, ad_code) VALUES(NULL, {$_REQUEST['pad_id']}, {$width}, {$height}, '".implode(',', $selCountries) ."', '".$wpdb->_real_escape(stripslashes($_REQUEST['imwbCovertGTPAdVar_AdCode']))."')");
      $updateMessage = "<div class='imwb_cabar_active_panel'><p><strong>Ad Variation Created</strong></p></div>";
   }
   else if($_REQUEST['update_imwb_covertgeotargeteradvar'] == 'Update') {
      $wpdb->query( "UPDATE {$imwb_db_post_ad_var_table_name} SET width = {$width}, height = {$height}, countries = '".implode(',', $selCountries) ."', ad_code = '".$wpdb->_real_escape(stripslashes($_REQUEST['imwbCovertGTPAdVar_AdCode']))."' WHERE pad_id = {$_REQUEST['pad_id']} AND pav_id = {$_REQUEST['pav_id']} ");
      $updateMessage = "<div class='imwb_cabar_active_panel'><p><strong>Ad Variation Updated</strong></p></div>";
   }

   $_REQUEST['edit'] = "1";

}
else if(isset($_REQUEST['vdelete'])) {

   $wpdb->query("DELETE FROM $imwb_db_post_ad_var_table_name WHERE pav_id = {$_REQUEST['pav_id']}");

   $updateMessage = "<div class='imwb_cabar_active_panel'><p><strong>Ad Variation Deleted</strong></p></div>";

   $_REQUEST['edit'] = "1";
}
else if(isset($_REQUEST['vcopy'])) {

   $post_ad_var = $wpdb->get_row("SELECT * FROM $imwb_db_post_ad_var_table_name WHERE pav_id = {$_REQUEST['pav_id']}");

   $wpdb->query( "INSERT INTO {$imwb_db_post_ad_var_table_name} (pav_id, pad_id, width, height, countries, ad_code) VALUES(NULL, {$post_ad_var->pad_id}, $post_ad_var->width, $post_ad_var->height, '{$post_ad_var->countries}', '".$wpdb->_real_escape(stripslashes($post_ad_var->ad_code))."')");

   $updateMessage = "<div class='imwb_cabar_active_panel'><p><strong>Ad Variation Copied</strong></p></div>";

    $_REQUEST['edit'] = "1";
}
if(isset($_REQUEST['edit'])) {
   $post_ad = $wpdb->get_row("SELECT * FROM $imwb_db_post_ad_table_name WHERE pad_id = {$_REQUEST['pad_id']}");

   $post_ad->where_shown = unserialize($post_ad->where_shown);
}
else { // Creating new so set defaults
   $post_ad = new stdClass();
   $post_ad->pad_id = '';
   $post_ad->name = "Ad Name";
   $post_ad->insert_type = 'S';
   $post_ad->align = "L";
   $post_ad->pos = "S";
   $post_ad->margin = "0";

   $post_ad->where_shown = Array("Posts" => "P", "Pages" => "G", 'postid' => 0, 'pageid' => 0, 'catid' => 0);

}

?>
<div class="wrap">
<div class="branding clearfix">
<div class="logo">
 <img class="logo" src="<?php echo plugin_dir_url( __FILE__ ) . 'images/imwblogo.png';?>">
 <span class="help-link"><a href="http://imwealthbuilders.com/newplugins" target="_blanl">Other Products</a> | <a href="http://imwealthbuilders.com" target="_blanl">Blog</a></span>
</div>
<?php echo $updateMessage;?>
<div id="imwb_plugin_options_editor">
<div id="icon-themes" class="icon32"></div><h2><?php echo isset($_REQUEST['edit']) ? 'Edit' : 'Create' ?> Post/Page Ad - <small><a href="http://covertgeotargeter.com/help/pro_help.html#create_post_ad" target="_blank">Click Here For Help</a></small></h2>

<form method="post" id="covertgeotargeterpad" action="admin.php?page=<?php echo $this->plugin_name;?>-create_post_ad">
<input type=hidden name="pad_id" value="<?php echo $post_ad->pad_id ?>">
<p>Name your ad: <input type=text name="imwbCovertGTPAd_name" size=30 value="<?php echo $post_ad->name ?>"><br><small>The name is only used to organize your post/page ads.</small></p>
<h3>How Inserted</h3>
<p>You can manually insert the ads into a post/page by putting in the shortcode for this ad. You can also have the ads automatically inserted into  posts/pages</p>
Insert Automatically: <input type="checkbox" id="imwbCovertGTPAd_insertType" name="imwbCovertGTPAd_insertType" value="A" <?php echo $post_ad->insert_type == 'A' ? "checked" : "" ?>>

<div class="imwb_show_options clearfix" <?php echo $post_ad->insert_type == 'A' ? "" : 'style="display:none"' ?>>
<h3>Where do you want the ad to display</h3>
<p><input type="checkbox" id="imwbCovertGTPAd_Show_Posts" name="imwbCovertGTPAd_Show[Posts]" value="P" <?php if ($post_ad->where_shown['Posts'] == "P") { _e('checked="checked"'); }?>/> In all Posts&nbsp;&nbsp;&nbsp;&nbsp;<input type="checkbox" id="imwbCovertGTPAd_Show_Pages" name="imwbCovertGTPAd_Show[Pages]" value="G" <?php if ($post_ad->where_shown['Pages'] == "G") { _e('checked="checked"'); }?>/> In All Pages</p>

<div class="sub_panel">
<h4>In These Pages:</h4>

<?php
$post_ad->where_shown['pageid'] = isset($post_ad->where_shown['pageid']) ? $post_ad->where_shown['pageid'] : 0;
echo	get_blog_pages(0, $post_ad->where_shown['pageid']);
?>
</div>
<div class="sub_panel">
<h4>In Posts In These Categories:</h4>
<?php
$post_ad->where_shown['catid'] = isset($post_ad->where_shown['catid']) ? $post_ad->where_shown['catid'] : 0;
echo	get_blog_categories(0, $post_ad->where_shown['catid']);
?>
</div>
<div class="sub_panel">
<h4>In These Post Pages:</h4>
&nbsp;<small>Enter a list of comma separated Id's</small><br>
&nbsp;<input type="text" name="imwbCovertGTPAd_Show[postid]" id="imwbCovertGTPAd_Show_postid" value="<?php echo $post_ad->where_shown['postid'];?>" size="50">
</div>
<div style="clear:both"></div>
<h3>Position</h3>
<p>Start of Post/Page: <input type="radio" id="imwbCovertGTPAd_position" name="imwbCovertGTPAd_position" value="S" <?php if ($post_ad->pos == "S") { _e('checked="checked"'); }?>>&nbsp;&nbsp;End of Post/Page: <input type="radio" id="imwbCovertGTPAd_position" name="imwbCovertGTPAd_position" value="E" <?php if ($post_ad->pos == "E") { _e('checked="checked"'); }?>></p>
<h3>Alignment</h3>
<p>Left: <input type="radio" id="imwbCovertGTPAd_align" name="imwbCovertGTPAd_align" value="L" <?php if ($post_ad->align == "L") { _e('checked="checked"'); }?>>&nbsp;&nbsp;Center: <input type="radio" id="imwbCovertGTPAd_align" name="imwbCovertGTPAd_align" value="C" <?php if ($post_ad->align == "C") { _e('checked="checked"'); }?>>&nbsp;&nbsp;Right: <input type="radio" id="imwbCovertGTPAd_align" name="imwbCovertGTPAd_align" value="R" <?php if ($post_ad->align == "R") { _e('checked="checked"'); }?>></p>

<h3>Margin</h3>
<p>Enter the size of the margin to put around the ad: <input type=text name="imwbCovertGTPAd_margin" size=5 value="<?php echo $post_ad->margin ?>"></p>
</div>
<p>
<a href="admin.php?page=<?php echo $this->plugin_name;?>-post_ads" title="Cancel" class="button-secondary cancel">Cancel</a>
<input class="button-primary" type="submit" name="create_imwb_covertgeotargeterPostAd" value="<?php echo isset($_REQUEST['edit']) ? 'Update' : 'Create' ?>" />
</p>
</form>

<hr>
<div id="icon-themes" class="icon32"></div><h2>Ad Variations - <small><a href="http://covertgeotargeter.com/help/pro_help.html#ad_variations" target="_blank">Click Here For Help</a></small></h2>

<table cellspacing="0" class="widefat post fixed" >
	<thead>
		<tr>
			<th scope="col" style="width: 130px;" class="manage-column column-name" id="name">No.</th>
			<th scope="col"  class="manage-column column-title" id="title">Countries</th>
			<th scope="col"  class="manage-column column-title" id="title">Ad Code</th>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<th scope="col" style="width: 130px;" class="manage-column column-name">No.</th>
         <th scope="col"  class="manage-column column-title" id="title">Countries</th>
         <th scope="col"  class="manage-column column-title" id="title">Ad Code</th>
		</tr>
	</tfoot>
	<tbody>

<?php
$i = 1;
$_REQUEST['pad_id'] = isset($_REQUEST['pad_id']) ? $_REQUEST['pad_id'] : 0;
$postAdVars = $wpdb->get_results( "SELECT * FROM $imwb_db_post_ad_var_table_name WHERE pad_id = {$_REQUEST['pad_id']} ORDER BY pav_id" );
foreach ($postAdVars as $postAdVar) {
 ?>
		<tr valign="top" class="<?php echo $i % 2 ? 'alternate' : ''?> author-self status-publish iedit">
			<td class="post-title column-title">
				<strong><a href="admin.php?page=<?php echo $this->plugin_name;?>-create_post_ad_var&amp;edit=1&amp;pad_id=<?php echo $post_ad->pad_id?>&amp;pav_id=<?php echo $postAdVar->pav_id?>" title="View Details"><?php echo $i?></a></strong>

				<div class="row-actions">
					<span class="copy">
					<a href="admin.php?page=<?php echo $this->plugin_name;?>-create_post_ad&pad_id=<?php echo $post_ad->pad_id;?>&pav_id=<?php echo $postAdVar->pav_id ?>&amp;vcopy=1" title="Copy Ad Variation">Copy</a>
					|
					</span>
					<span class="edit">
					<a href="admin.php?page=<?php echo $this->plugin_name;?>-create_post_ad_var&amp;edit=1&amp;pad_id=<?php echo $post_ad->pad_id?>&amp;pav_id=<?php echo $postAdVar->pav_id?>" title="Edit Ad Variation">Edit</a>
					|
					</span>

					<span class="delete">
					<a title="Delete this Ad Variation" href="admin.php?page=<?php echo $this->plugin_name;?>-create_post_ad&pad_id=<?php echo $post_ad->pad_id;?>&pav_id=<?php echo $postAdVar->pav_id ?>&vdelete=1" onclick="return confirm('Are you sure you want to delete this ad variation?')" class="submitdelete">Delete</a>
					</span>
				</span></div>

			</td>

			<td><?php echo $postAdVar->countries?></td>
			<td><small><code><?php echo htmlentities($postAdVar->ad_code)?></code></small></td>

		</tr>
<?php
$i++;
}
?>

			</tbody>
</table>

<h2 class="btn-link"><a href="admin.php?page=<?php echo $this->plugin_name;?>-create_post_ad_var&amp;create=1&amp;pad_id=<?php echo $post_ad->pad_id?>">Create Ad Variation</a></h2>
 </div>
 </div>
